import type { DoxicityConfig, DoxicityPublishResult, DoxicityCopyAssetsResult, DoxicityPublishOptions } from './types';
export * from './types.js';
export declare const defaultConfig: DoxicityConfig;
export default class Doxicity {
    config: DoxicityConfig;
    hasPublished: boolean;
    hasRegisteredPartials: boolean;
    constructor(config: Partial<DoxicityConfig>);
    private registerPartials;
    private generateSharedScripts;
    private generateSharedStyles;
    static resolve(...args: string[]): string;
    publish(options?: Partial<DoxicityPublishOptions>): Promise<DoxicityPublishResult>;
    copyAssets(): Promise<DoxicityCopyAssetsResult>;
    clean(): Promise<void>;
}
