export default function (options) {
    const opts = {
        className: 'table-scroll',
        within: 'main',
        ...options
    };
    return {
        name: 'doxicity-table-scroll-plugin',
        styles: () => {
            return `
        .${opts.className} {
          max-width: 100%;
          overflow-x: auto;
        }
      `;
        },
        transform: doc => {
            const tables = [...doc.querySelectorAll('table')];
            tables.forEach(table => {
                const div = doc.createElement('div');
                div.classList.add(opts.className);
                table.insertAdjacentElement('beforebegin', div);
                div.append(table);
            });
            return doc;
        }
    };
}
